POST
/v1/mgmt/flow/externalauth/complete

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

externalAuthReqId?string
loginId?string
user?object
emailVerified?boolean
phoneVerified?boolean
customClaims?object

Custom claims to include in the JWT as key-value pairs. Keys must be strings; values can be strings, numbers, or booleans.

Example{ "claim-name": "claim-value" }
selectedTenantId?string
userTenants?array<onetimev1.AssociatedTenant>

Complete an external authentication flow step. Called by the customer's backend after authenticating the user on their own page. Requires a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/flow/externalauth/complete" \  -H "Content-Type: application/json" \  -d '{}'
{  "redirectUrl": "string"}
export interface Response {redirectUrl?: string}
Was this helpful?